Subject: bug#46964: [ELPA]: [PATCH] Replace modus-*-theme with modus-themes from :core

From: Protesilaos Stavrou <[email-masked]>
Date: Sun, 07 Mar 2021 09:32:49 +0200

On 2021-03-06, 13:35 -0500, Stefan Monnier <[email-masked]> wrote:

>> I tried with this:
>>
>>     ("modus-themes"
>>       :core ("etc/themes/modus-themes.el"
>>              "etc/themes/modus-operandi-theme.el"
>>              "etc/themes/modus-vivendi-theme.el")
>>       :doc "doc/misc/modus-themes.org")
>
> I think you need something like:
>
>      ("modus-themes"
>        :core ("etc/themes/modus-themes.el"
>               "etc/themes/modus-operandi-theme.el"
>               "etc/themes/modus-vivendi-theme.el"
>               "doc/misc/modus-themes.org")
>        :doc "modus-themes.org")
>
> The :core brings the specified files into the directory from which we
> build the package, and then the :doc tells where to find the doc in that
> directory.

Thank you!  I have amended the patch using the format you recommended.

-- 
Protesilaos Stavrou
protesilaos.com
>From dc32c7ff90344666c0cf857420ba3aede7c767bd Mon Sep 17 00:00:00 2001
Message-Id: <[email-masked]>
From: Protesilaos Stavrou <[email-masked]>
Date: Sat, 6 Mar 2021 13:14:33 +0200
Subject: [PATCH] Replace modus-*-theme with modus-themes from :core

The themes 'modus-operandi' and 'modus-vivendi' are now part of
emacs.git and should thus be designated as a single ':core' package.
---
 elpa-packages | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/elpa-packages b/elpa-packages
index 30f634c1b1..3ce68f8986 100644
--- a/elpa-packages
+++ b/elpa-packages
@@ -208,8 +208,12 @@
  ("mmm-mode"
   :url "https://github.com/purcell/mmm-mode.git"
   :auto-sync t)
- ("modus-operandi-theme":url "https://gitlab.com/protesilaos/modus-themes")
- ("modus-vivendi-theme"	:url "https://gitlab.com/protesilaos/modus-themes")
+ ("modus-themes"
+  :core ("etc/themes/modus-themes.el"
+         "etc/themes/modus-operandi-theme.el"
+         "etc/themes/modus-vivendi-theme.el"
+         "doc/misc/modus-themes.org")
+  :doc "modus-themes.org")
  ("multishell"		:url "https://github.com/kenmanheimer/EmacsMultishell")
  ("muse"		:url "https://github.com/alexott/muse") ;FIXME: Not nearly in-sync
  ("myers"		:url nil)
-- 
2.30.1